# Uses of Interface
org.eclipse.emf.cdo.eresource.CDOTextResource

Packages that use CDOTextResource
Package
Description
org.eclipse.emf.cdo.eresource
The generated EMF API of the CDO repository file system.
org.eclipse.emf.cdo.eresource.impl
The generated EMF implementation of the CDO repository file system.
org.eclipse.emf.cdo.eresource.util
The generated EMF utilities of the CDO repository file system.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.ui
Reusable UI components specific to the CDO Model Repository.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.

## Uses of CDOTextResource in org.eclipse.emf.cdo.eresource

Methods in org.eclipse.emf.cdo.eresource that return CDOTextResource
Modifier and Type
Method
Description
`CDOTextResource`
CDOResourceFolder.`addTextResource(String name)`
`CDOTextResource`
EresourceFactory.`createCDOTextResource()`
Returns a new object of class 'CDO Text Resource'.

## Uses of CDOTextResource in org.eclipse.emf.cdo.eresource.impl

Classes in org.eclipse.emf.cdo.eresource.impl that implement CDOTextResource
Modifier and Type
Class
Description
`class`
`CDOTextResourceImpl`
An implementation of the model object 'CDO Text Resource'.
Methods in org.eclipse.emf.cdo.eresource.impl that return CDOTextResource
Modifier and Type
Method
Description
`CDOTextResource`
CDOResourceFolderImpl.`addTextResource(String name)`
`CDOTextResource`
EresourceFactoryImpl.`createCDOTextResource()`

## Uses of CDOTextResource in org.eclipse.emf.cdo.eresource.util

Methods in org.eclipse.emf.cdo.eresource.util with parameters of type CDOTextResource
Modifier and Type
Method
Description
`T`
EresourceSwitch.`caseCDOTextResource(CDOTextResource object)`
Returns the result of interpreting the object as an instance of 'CDO Text Resource'.

## Uses of CDOTextResource in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return CDOTextResource
Modifier and Type
Method
Description
`CDOTextResource`
CDOPushTransaction.`createTextResource(String path)`
Deprecated.
`CDOTextResource`
CDOTransaction.`createTextResource(String path)`
`CDOTextResource`
CDOPushTransaction.`getOrCreateTextResource(String path)`
Deprecated.
`CDOTextResource`
CDOTransaction.`getOrCreateTextResource(String path)`
`CDOTextResource`
CDOPushTransaction.`getTextResource(String path)`
Deprecated.

## Uses of CDOTextResource in org.eclipse.emf.cdo.ui

Methods in org.eclipse.emf.cdo.ui with parameters of type CDOTextResource
Modifier and Type
Method
Description
`void`
CDOItemProvider.`fillTextResource(IMenuManager manager, CDOTextResource resource)`

## Uses of CDOTextResource in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view that return CDOTextResource
Modifier and Type
Method
Description
`CDOTextResource`
CDOView.`getTextResource(String path)`